18 Packages
name build2
summary build2 build system
license MIT
depends 2; libbutl, libpkgconf
requires 2; c++14, ?cli
name odb
summary ODB compiler
license GPLv3
depends 2; libstudxml, libcutl
requires 1; c++11
name libhello
summary The "Hello World" example library
license MIT
depends 0
name doctest
summary The fastest feature-rich C++11/14/17/20 single-header testing framework for unit tests and TDD
license MIT
depends 0
requires 1; (c++11 | c++14 | c++17 | c++20)
name sol2
summary `sol2` is a C++ library binding to Lua.
license MIT
depends 1; lua
name libstudxml
summary Streaming XML pull parser/serializer for modern C++
license MIT
depends 0
requires 1; c++11
name bpkg
summary build2 package dependency manager
license MIT
depends 4; libodb, libodb-sqlite, libbutl, libbpkg
requires 2; c++14, ?cli
name entt
summary Gaming meets modern C++ - a fast and reliable entity-component system (ECS) and much more.
license MIT
depends 0
requires 1; c++17
name perfevent
summary A header-only C++ wrapper for Linux' perf event API
license MIT
depends 0
requires 2; linux, (c++11 | c++14 | c++17 | c++20)
name pest
summary pest is macro free otherwise simplistic c++17 unit testing
license public domain
depends 0
requires 1; c++17
name bdep
summary build2 project dependency manager
license MIT
depends 4; libodb, libodb-sqlite, libbutl, libbpkg
requires 2; c++14, ?cli
name libapr1
summary Apache Portable Runtime C library
license ASLv2
depends 0
name libapreq2
summary Apache HTTP Server Request library
license ASLv2
depends 0
name nocontracts
summary Assertion macros library for C++, useful while contracts are not part of the language yet.
license proprietary
depends 0
name openssl-agent
summary OpenSSL key agent
license MIT
depends 1; libbutl
requires 1; c++14
name cli
summary Command line interface (CLI) compiler for C++
license MIT
depends 1; libcutl
requires 1; c++14
name bbot
summary build2 build bot
license TODO
depends 2; libbutl, libbbot
requires 2; c++14, ?cli
name brep
summary build2 package repository web interface
license MIT
depends 11; libapr1, libapreq2, libcmark-gfm, libcmark-gfm-extensions, libstudxml, libodb, libodb-pgsql, libbutl, libbpkg, libbbot, libbutl.bash
requires 4; c++14, postgresql >= 9.0, apache2, ?cli